You are not logged in.

#1 2010-09-26 09:07:56

Luca Gervasi
Member
From: Agrigento, Sicily, Italy
Registered: 2007-11-26
Posts: 9
Website

As for each upgrade i do: "I broke (again) my ati drivers ecosystem"

Hello,

i managed to upgrade again some package to the wrong version. I have:

Linux ashetic64 2.6.35-ARCH #1 SMP PREEMPT Tue Sep 21 09:22:09 CEST 2010 x86_64 Intel(R) Core(TM) i7 CPU 860 @ 2.80GHz GenuineIntel GNU/Linux
01:00.0 VGA compatible controller: ATI Technologies Inc Juniper [Radeon HD 5700 Series]

with those packages

catalyst-10.9-3
xorg-server-1.8-catalyst-maximize-fix-1.8.1.902-1
xorg-server-backclear-1.8.1.902-1
xorg-server-1.8.1.902-1

And arch64.

I used following repositories to keep my xorg/catalyst un-updated as needed.
http://catalyst.apocalypsus.net/repo/catalyst/x86_64
http://catalyst.apocalypsus.net/repo/xorg18/x86_64

But... this time i failed...

This is the xorg output.

[  1794.002] 
This is a pre-release version of the X server from The X.Org Foundation.
It is not supported in any way.
Bugs may be filed in the bugzilla at http://bugs.freedesktop.org/.
Select the "xorg" product for bugs you find in this release.
Before reporting bugs in pre-release versions please check the
latest version in the X.Org Foundation git repository.
See http://wiki.x.org/wiki/GitPage for git access instructions.
[  1794.003] 
X.Org X Server 1.8.1.902 (1.8.2 RC 2)
Release Date: 2010-06-21
[  1794.003] X Protocol Version 11, Revision 0
[  1794.003] Build Operating System: Linux 2.6.34-ARCH x86_64 
[  1794.003] Current Operating System: Linux ashetic64 2.6.35-ARCH #1 SMP PREEMPT Tue Sep 21 09:22:09 CEST 2010 x86_64
[  1794.003] Kernel command line: root=/dev/disk/by-uuid/6f535752-6b5f-4f48-bfcb-65106edf39b5 ro md=0,/dev/sda8,/dev/sda7 nomodeset
[  1794.004] Build Date: 22 June 2010  02:59:03PM
[  1794.004]  
[  1794.004] Current version of pixman: 0.18.4
[  1794.004]    Before reporting problems, check http://wiki.x.org
        to make sure that you have the latest version.
[  1794.004] Markers: (--) probed, (**) from config file, (==) default setting,
        (++) from command line, (!!) notice, (II) informational,
        (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
[  1794.005] (==) Log file: "/var/log/Xorg.0.log", Time: Sun Sep 26 10:49:49 2010
[  1794.005] (==) Using config file: "/etc/X11/xorg.conf"
[  1794.005] (==) Using config directory: "/etc/X11/xorg.conf.d"
[  1794.005] (==) ServerLayout "aticonfig Layout"
[  1794.005] (**) |-->Screen "aticonfig-Screen[0]-0" (0)
[  1794.005] (**) |   |-->Monitor "aticonfig-Monitor[0]-0"
[  1794.005] (**) |   |-->Device "aticonfig-Device[0]-0"
[  1794.005] (==) Automatically adding devices
[  1794.005] (==) Automatically enabling devices
[  1794.005] (WW) The directory "/usr/share/fonts/OTF/" does not exist.
[  1794.005]    Entry deleted from font path.
[  1794.005] (==) FontPath set to:
        /usr/share/fonts/misc/,
        /usr/share/fonts/TTF/,
        /usr/share/fonts/Type1/,
        /usr/share/fonts/100dpi/,
        /usr/share/fonts/75dpi/
[  1794.005] (==) ModulePath set to "/usr/lib/xorg/modules"
[  1794.005] (II) The server relies on udev to provide the list of input devices.
        If no devices become available, reconfigure udev or disable AutoAddDevices.
[  1794.005] (II) Loader magic: 0x7cd2e0
[  1794.005] (II) Module ABI versions:
[  1794.005]    X.Org ANSI C Emulation: 0.4
[  1794.005]    X.Org Video Driver: 7.0
[  1794.005]    X.Org XInput driver : 9.0
[  1794.005]    X.Org Server Extension : 3.0
[  1794.008] (--) PCI:*(0:1:0:0) 1002:68b8:1002:e147 ATI Technologies Inc Juniper [Radeon HD 5700 Series] rev 0, Mem @ 0xe0000000/268435456, 0xfbdc0000/131072, I/O @ 0x0000ee00/256, BIOS @ 0x????????/131072
[  1794.008] (WW) Open ACPI failed (/var/run/acpid.socket) (No such file or directory)
[  1794.008] (II) "extmod" will be loaded by default.
[  1794.008] (II) "dbe" will be loaded by default.
[  1794.008] (II) "glx" will be loaded by default.
[  1794.008] (II) "record" will be loaded by default.
[  1794.008] (II) "dri" will be loaded by default.
[  1794.008] (II) "dri2" will be loaded by default.
[  1794.008] (II) LoadModule: "extmod"
[  1794.009] (II) Loading /usr/lib/xorg/modules/extensions/libextmod.so
[  1794.009] (II) Module extmod: vendor="X.Org Foundation"
[  1794.009]    compiled for 1.8.1.902, module version = 1.0.0
[  1794.009]    Module class: X.Org Server Extension
[  1794.009]    ABI class: X.Org Server Extension, version 3.0
[  1794.009] (II) Loading extension MIT-SCREEN-SAVER
[  1794.009] (II) Loading extension XFree86-VidModeExtension
[  1794.009] (II) Loading extension XFree86-DGA
[  1794.009] (II) Loading extension DPMS
[  1794.009] (II) Loading extension XVideo
[  1794.009] (II) Loading extension XVideo-MotionCompensation
[  1794.009] (II) Loading extension X-Resource
[  1794.009] (II) LoadModule: "dbe"
[  1794.009] (II) Loading /usr/lib/xorg/modules/extensions/libdbe.so
[  1794.009] (II) Module dbe: vendor="X.Org Foundation"
[  1794.009]    compiled for 1.8.1.902, module version = 1.0.0
[  1794.009]    Module class: X.Org Server Extension
[  1794.009]    ABI class: X.Org Server Extension, version 3.0
[  1794.009] (II) Loading extension DOUBLE-BUFFER
[  1794.009] (II) LoadModule: "glx"
[  1794.009] (II) Loading /usr/lib/xorg/modules/extensions/libglx.so
[  1794.009] (II) Module glx: vendor="FireGL - ATI Technologies Inc."
[  1794.009]    compiled for 7.4.0, module version = 1.0.0
[  1794.009] (II) Loading extension GLX
[  1794.009] (II) LoadModule: "record"
[  1794.009] (II) Loading /usr/lib/xorg/modules/extensions/librecord.so
[  1794.010] (II) Module record: vendor="X.Org Foundation"
[  1794.010]    compiled for 1.8.1.902, module version = 1.13.0
[  1794.010]    Module class: X.Org Server Extension
[  1794.010]    ABI class: X.Org Server Extension, version 3.0
[  1794.010] (II) Loading extension RECORD
[  1794.010] (II) LoadModule: "dri"
[  1794.010] (II) Loading /usr/lib/xorg/modules/extensions/libdri.so
[  1794.010] (II) Module dri: vendor="X.Org Foundation"
[  1794.010]    compiled for 1.8.1.902, module version = 1.0.0
[  1794.010]    ABI class: X.Org Server Extension, version 3.0
[  1794.010] (II) Loading extension XFree86-DRI
[  1794.010] (II) LoadModule: "dri2"
[  1794.010] (II) Loading /usr/lib/xorg/modules/extensions/libdri2.so
[  1794.010] (II) Module dri2: vendor="X.Org Foundation"
[  1794.010]    compiled for 1.8.1.902, module version = 1.2.0
[  1794.010]    ABI class: X.Org Server Extension, version 3.0
[  1794.010] (II) Loading extension DRI2
[  1794.010] (II) LoadModule: "fglrx"
[  1794.010] (II) Loading /usr/lib/xorg/modules/drivers/fglrx_drv.so
[  1794.016] dlopen: /usr/lib/xorg/modules/drivers/fglrx_drv.so: undefined symbol: UpdateSpriteForScreen
[  1794.016] (EE) Failed to load /usr/lib/xorg/modules/drivers/fglrx_drv.so
[  1794.016] (II) UnloadModule: "fglrx"
[  1794.016] (EE) Failed to load module "fglrx" (loader failed, 7)
[  1794.016] (EE) No drivers available.
[  1794.016] 
Fatal server error:
[  1794.016] no screens found
[  1794.016] 

I tried to google for that "UpdateSpriteForScreen", unsuccesfully.

I have a Radeon HD5770, so i can't use non proprietary solutions sad

Is someone able to give me the right combo to have it working this time? smile

Thanks.

(Next time, NEVER NEVER NEVER again ATI!!!!)


---
Linux Registered User #192634
Cisco CCENT/CCNA
PK FP: F182 4D07

Offline

#2 2010-10-21 17:24:31

Snakeye
Member
From: Surrey BC
Registered: 2009-12-19
Posts: 90

Re: As for each upgrade i do: "I broke (again) my ati drivers ecosystem"

I had a problem where fglrx would not load. looking through the ATI bar and Grill thread i found that i could catalyst_build_module then modprobe fglrx, got it working for me.

Offline

Board footer

Powered by FluxBB